﻿using Supercell.GUT.Logic.Message.Attributes;
using Supercell.GUT.Titan.Logic.Message;

namespace Supercell.GUT.Logic.Message.Avatar;

[VersionedMessage(20105)]
public class FriendListMessage : VersionedMessage
{
    public FriendListMessage() : base(0)
    {
        ;
    }

    public override void Encode()
    {
        base.Encode();

        this.ByteStream.WriteInt(-1);
    }

    public override void Decode()
    {
        base.Decode();

        this.ByteStream.ReadInt();
    }

    public override int GetMessageType()
    {
        return 20105;
    }

    public override int GetServiceNodeType()
    {
        return 3;
    }
}
