﻿using Supercell.GUT.Logic.Avatar;
using Supercell.GUT.Titan.Logic.Math;

namespace Supercell.GUT.Server.Database.Document;

public class AvatarDocument : MongoSerializeableBase, IDatabaseDocument
{
    public LogicLong DocumentId { get; set; }

    public LogicClientAvatar LogicClientAvatar { get; set; } = new();

    public int LastSaveTime { get; set; }

    public AvatarDocument()
    {
        DocumentId = new();
    }

    public AvatarDocument(LogicLong id)
    {
        DocumentId = id;
    }

    public void SetId(LogicLong id)
    {
        LogicClientAvatar.Id = id;
    }
}
