﻿using System.Text.Json.Serialization;
using MongoDB.Bson;
using MongoDB.Bson.Serialization.Attributes;

namespace Supercell.GUT.Server.Database.Document;

public abstract class MongoSerializeableBase
{
    [BsonId]
    [BsonRepresentation(BsonType.ObjectId)]
    [JsonIgnore]
    public string? MongoId { get; set; }
}
