﻿using Supercell.GUT.Logic.Avatar;
using Supercell.GUT.Logic.Message.Attributes;
using Supercell.GUT.Titan.Logic.Message;

namespace Supercell.GUT.Logic.Message.Avatar;

[VersionedMessage(20201)]
public class AvatarDataMessage : VersionedMessage
{
    public LogicClientAvatar LogicClientAvatar { get; set; }

    public AvatarDataMessage() : base(0)
    {
        ;
    }

    public override void Destruct()
    {
        base.Destruct();
    }

    public override void Encode()
    {
        base.Encode();

        LogicClientAvatar.Encode(ByteStream);
    }

    public override void Decode()
    {
        base.Decode();

        LogicClientAvatar = new LogicClientAvatar();
        LogicClientAvatar.Decode(ByteStream);
    }

    public override int GetMessageType()
    {
        return 20201;
    }

    public override int GetServiceNodeType()
    {
        return 3;
    }
}
