﻿using Supercell.GUT.Titan.Logic.Math;

namespace Supercell.GUT.Server.Database.Document;
public class AccountDocument : MongoSerializeableBase, IDatabaseDocument
{
    public LogicLong DocumentId { get; set; }
    public string SessionKey { get; set; } = string.Empty;

    public AccountDocument()
    {
        DocumentId = new();
    }

    public AccountDocument(LogicLong id, string token)
    {
        DocumentId = id;
        SessionKey = token;
    }
}
