﻿using System.Net;

namespace Supercell.GUT.Server.Network;
public interface IProtocolEntity : IDisposable
{
    EndPoint RemoteEndPoint { get; }

    ValueTask<int> ReceiveAsync(Memory<byte> buffer, CancellationToken cancellationToken);
    ValueTask<int> SendAsync(Memory<byte> buffer, CancellationToken cancellationToken);
}